# opendmarc_policy_connect_shutdown()

[back to index]

SYNOPSIS |
    #include <dmarc.h>
    DMARC_POLICY_T * opendmarc_policy_connect_shutdown(
    	DMARC_POLICY_T * pctx
    );
Clear and completely free the the opaque context. Once freed it can never be reused.
DESCRIPTION |
Called When | `opendmarc_policy_connect_shutdown()` may be called as part of shutting down the current client connection.
ARGUMENTS |
Argument | Description
--- | ---
pctx | A pointer to type `DMARC_POLICY_T`.
RETURN VALUES | NULL -- Always
NOTES | For each context you get with opendmarc_policy_connect_init(), you should have exactly one corresponding call to this shutdown function. Passing NULL is allowed and has no effect.

Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the license.